Guidance
指路人
g.yi.org
Guidance Forums / wxWidgets (wxWindows) in C++ / DevPack WxWidget2.5.2

Register 
注册
Search 搜索
首页 
Home Home
Software
Upload

  
Forum List • Thread List • Reply • Refresh • New Topic • Search • Previous • Next First 1 Last
Message1. DevPack WxWidget2.5.2
#4792
Posted by: 2004-07-12 04:27:58
i have not found DevPack WxWidget2.5.2. so i would like to know if it exists.
DevPack WxWidget2.5.1 doesn't work corretly because at 'linking' step i have LIB error.
Message2. Re: DevPack WxWidget2.5.2
#4793
Posted by: 2004-07-12 04:44:46
the error message i have when i compile a basic application issue of the devpack

frame.cpp C:\Dev-Cpp\lib\libwxmsw25.a(monolib_frame.o)(.rdata$_ZTV7wxFrame+0x0)  multiple definition of `vtable for wxFrame'
base.cpp C:\Dev-Cpp\base.o(.data$_ZTV7wxFrame+0x0)  first defined here

i have this message for 'wxMenuItemList', 'wxMenu', 'wxObject', ' wxMenuBase','wxwxMenuItemListNode', ' wxListBase'.





Message3. Re: DevPack WxWidget2.5.2
#4797
Posted by: upCASE 2004-07-12 15:02:17
Hi!
Nope, currently there's only a devpack for 2.5.1, as far as I know. I have plans for compiling a newer version, but time is a factor :)
Once it's ready I'll post here and update my site.

For your problem: This is a known one. Update your mingw gcc compiler and it should work. Check this thread: http://g.yi.org/forum/read.php?13,4557
I'm not sure what would be the best way to fix this... I could recompile it with the gcc version Dev-C++ includes, or compile a small mingw update devpack. The latter one seems better, but I guess the update process shouldn't be that hard, so I guess compiling a devpack for that is pretty much senseless.
upCASE
-----------------------------------
If it was hard to write, it should be hard to read!- Do. Or do not. There is no try!
Forum List • Thread List • Reply • Refresh • New Topic • Search • Previous • Next First 1 Last
掌柜推荐
 
 
 
 
 
 
 
 
 
 
 
 
© Tue 2022-11-29  Guidance Laboratory Inc.
Email:webmaster1g.yi.org Hits:0